Student Enrollments by Group
Endpoint used to retrieve a detailed listing of all students currently enrolled in one or more courses within a specific group in Toolzz LMS.
Warning: This endpoint will only work correctly if the domain of your institution is manually provided in the URL. Otherwise, the endpoint may fail or return a validation error.
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://{your-institution-domain}/api/v1/reports/groups/{groupId}/students?page=1&perPage=20' \ --header 'Authorization: Bearer <token>'Response Example
Section titled “Response Example”{ "data": [ { "id": 1, "name": "<string>", "email": "<string>", "enrollment_date": "<string>" } ]}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
groupId | int | Unique identifier of the course group to filter enrolled students. | Yes |
URL Parameters (Query)
Section titled “URL Parameters (Query)”| Parameter | Type | Description | Required |
|---|---|---|---|
page | number | Specifies the page number of results to be returned. | No |
perPage | number | Defines the number of users to display per page. | No |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.